%global majorversion 0.6

Name:           xfburn
Version:        0.6.2
Release:        1
Summary:        CD-burner application for Xfce Desktop Environment
License:        GPLv2+
#Group:          Development/Libraries
URL:            http://goodies.xfce.org/projects/applications/%{name}
Source0:        http://archive.xfce.org/src/apps/%{name}/0.6/%{name}-%{version}.tar.bz2
Patch1:         0001-Some-fixes-for-the-desktop-file.patch
Patch2:         xfburn-0.5.4-tmpdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildArch:      noarch
BuildRequires:  gcc
BuildRequires:  exo-devel
BuildRequires:  dbus-glib-devel >= 0.34 
BuildRequires:  gstreamer1-devel >= 0.10.2
BuildRequires:  gstreamer1-plugins-base-devel
BuildRequires:  gtk2-devel >= 2.10.0
BuildRequires:  libxfce4ui-devel >= 4.12.0
BuildRequires:  libburn-devel >= 0.4.2
BuildRequires:  libisofs-devel >= 0.6.2
BuildRequires:  desktop-file-utils 
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libgudev1-devel
BuildRequires:  libappstream-glib
Requires:       hicolor-icon-theme

%description
Xfburn is a simple CD/DVD burning tool based on libburnia libraries. It can 
blank CD-RWs, burn and create iso images, as well as burn personal 
compositions of data to either CD or DVD.

%prep
%autosetup -p1

# fix appdata installation location
sed -i 's/\$(datadir)\/appdata/\$(datadir)\/metainfo/' Makefile.in

%build
%configure
%make_build

%install
%make_install INSTALL='install -p'

%find_lang %{name}

desktop-file-install --vendor ""                            \
    --dir %{buildroot}%{_datadir}/applications              \
    --delete-original                                       \
    --add-category=Utility                                  \
    ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.xfce.%{name}.appdata.xml

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS TODO
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/Thunar/sendto/*.desktop
%{_datadir}/icons/hicolor/*/stock/media/stock_%{name}*.png
%{_datadir}/icons/hicolor/scalable/stock/media/stock_%{name}*.svg
%{_datadir}/metainfo/org.xfce.%{name}.appdata.xml
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*.ui
%{_mandir}/man1/%{name}.*

%changelog
* Mon Jul 27 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - Update to 0.6.1
- Init package
